#include <stdlib.h>
#include <algorithm>
#include <random>
#include <chrono>
#include <esp_now.h>
#include <WiFi.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <SPI.h>

#define SCREEN_WIDTH 128 // display width,  in pixels
#define SCREEN_HEIGHT 64 // display height, in pixels
#define PINBUTTON 15

// create an display display object connected to I2C
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

uint8_t playeraddress[4][6] = {{0xE8, 0xDB, 0x84, 0x00, 0xDC, 0xF0}
                              ,{0xA4, 0xCF, 0x12, 0x8F, 0xB8, 0xAC}
                              ,{0x24, 0x0A, 0xC4, 0x9B, 0x1B, 0x8C}
                              ,{0x24, 0x0A, 0xC4, 0x9B, 0x1B, 0x88}};

typedef struct Player {       // The player sent on setup
  char name;
  char hand;
  bool isprotect=false;
  bool isalive=true;
} Player;

typedef struct SendingData {
  int type; // 1=start game 2=start turn 3=end turn
  char name; // who are you
  char hand[2]; // hand index 0 is always there
  bool isvalidtarget[3]; // on turn player to know who he can attack
  bool isalive; // is this player alive
  char ophand;  // what is 2 looking
} SendingData;

typedef struct TurnStartData {       // sent to turn player on turn start
  char name;
  char hand[2];
  bool isvalidtarget[3];
} TurnStartData;

typedef struct TurnCardUse {        // get from turn player
  char name;
  char carduse;
  char target;
  char number;
} TurnCardUse;

typedef struct TurnEndData {       // sent to everyone on turn end
  char hand;
  bool isalive;
  char ophand;
} TurnEndData;

TurnCardUse recvdata = {
  'A',
  '1',
  'B',
  '5'
};
int turn = 0;
bool check = true;
bool over = false;
bool end = false;
bool get = false;
int card = 0;
char deck[16] = {'1','1','1','1','1','2','2','3','3','4','4','5','5','6','7','8'};
int maxwin = 0;
int win = -1;
char draw = 'X';
char ophand = 'X';
int tt = 0;
int xx = 40;
int yy = 0;
Player p[3];
char pname[3] = {'A','B','C'};

const unsigned char PROGMEM frame0 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame1 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame2 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame3 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame4 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x0F, 0xC0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1E, 0x7F, 0xFF, 0xFF, 0xFE, 0x78, 0x18, 0x3C, 0x00, 0x00, 0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x38, 0x1C, 0x18, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x18, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x18, 0x1C, 0x01, 0xC0, 0x38, 0x18, 0x1C, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x0C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0E, 0x0C, 0x0F, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x0B, 0xC0, 0x30, 0x60, 0x03, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x63, 0x80, 0x00, 0xE6, 0x01, 0xC0, 0x77, 0x00, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x3E, 0x01, 0xC0, 0x7C, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame5 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x0F, 0xC0, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x07, 0x7F, 0xFF, 0xFF, 0xFC, 0x70, 0x0E, 0x1C, 0x00, 0x00, 0x38, 0x38, 0x0C, 0x18, 0x00, 0x00, 0x38, 0x18, 0x0C, 0x1C, 0x00, 0x00, 0x38, 0x18, 0x0C, 0x18, 0x00, 0x00, 0x38, 0x18, 0x0C, 0x0C, 0x00, 0x00, 0x10, 0x18, 0x0C, 0x1C, 0x01, 0xC0, 0x38, 0x18, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x30, 0x06, 0x0C, 0x0F, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x0F, 0xC0, 0x30, 0x60, 0x03, 0x0C, 0x07, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCC, 0x01, 0xC0, 0x33, 0x80, 0x00, 0xEE, 0x01, 0xC0, 0x77, 0x00, 0x00, 0x76, 0x01, 0xC0, 0x67, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x3E, 0x01, 0xC0, 0x7C, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame6 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0xE0, 0x03, 0x1C, 0x00, 0x00, 0x38, 0x60, 0x07, 0x18, 0x00, 0x00, 0x70, 0x70, 0x03, 0x1C, 0x00, 0x00, 0x38, 0x30, 0x06, 0x18, 0x00, 0x00, 0x78, 0x30, 0x07, 0x0C, 0x00, 0x00, 0x10, 0x30, 0x03, 0x1C, 0x01, 0x80, 0x38, 0x70, 0x03, 0x0C, 0x03, 0x80, 0x30, 0x60, 0x03, 0x8C, 0x0F, 0xC0, 0x30, 0xE0, 0x01, 0x8C, 0x0F, 0x80, 0x30, 0xC0, 0x01, 0xCC, 0x0B, 0xC0, 0x31, 0xC0, 0x00, 0xCC, 0x03, 0x80, 0x33, 0x80, 0x00, 0xEC, 0x03, 0xC0, 0x33, 0x00, 0x00, 0x6E, 0x01, 0x80, 0x6F, 0x00, 0x00, 0x7E, 0x03, 0xC0, 0x7E, 0x00, 0x00, 0x3E, 0x01, 0x80, 0x7C, 0x00, 0x00, 0x1E, 0x03, 0xC0, 0x78, 0x00, 0x00, 0x0F, 0x03, 0x80, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x00, 0x00, 0xC0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame7 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x1E, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0xC0, 0x00, 0xDC, 0x00, 0x00, 0x78, 0xC0, 0x01, 0xD8, 0x00, 0x00, 0x70, 0xC0, 0x00, 0xDC, 0x00, 0x00, 0xF8, 0xC0, 0x01, 0x98, 0x00, 0x00, 0x78, 0xE0, 0x01, 0xCC, 0x00, 0x00, 0x10, 0xC0, 0x00, 0xDC, 0x03, 0x80, 0x38, 0xC0, 0x00, 0xCC, 0x03, 0x80, 0x30, 0xC0, 0x00, 0xEC, 0x0F, 0x80, 0x31, 0x80, 0x00, 0xEC, 0x1F, 0x80, 0x33, 0x80, 0x00, 0x6C, 0x0F, 0x80, 0x33, 0x00, 0x00, 0x7C, 0x03, 0x80, 0x37, 0x00, 0x00, 0x3C, 0x03, 0x80, 0x3E, 0x00, 0x00, 0x3E, 0x03, 0x80, 0x7C, 0x00, 0x00, 0x3E, 0x03, 0x80, 0x7C, 0x00, 0x00, 0x1E, 0x03, 0x80, 0x78, 0x00, 0x00, 0x0E, 0x03, 0x80, 0x70, 0x00, 0x00, 0x0F, 0x03, 0x80, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x03, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame8 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x3C, 0x00, 0x00, 0xFB, 0x00, 0x00, 0x78, 0x00, 0x00, 0xF3, 0x00, 0x00, 0x3C, 0x00, 0x01, 0xDB, 0x80, 0x00, 0x78, 0x00, 0x00, 0xBB, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x13, 0x80, 0x00, 0x7C, 0x06, 0x00, 0x3B, 0x00, 0x00, 0x3C, 0x07, 0x00, 0x33, 0x00, 0x00, 0x3C, 0x1E, 0x00, 0x37, 0x00, 0x00, 0x3C, 0x3F, 0x00, 0x3E, 0x00, 0x00, 0x3C, 0x0F, 0x00, 0x3E, 0x00, 0x00, 0x1E, 0x07, 0x00, 0x7C, 0x00, 0x00, 0x1C, 0x06, 0x00, 0x3C, 0x00, 0x00, 0x1E, 0x07, 0x00, 0x78, 0x00, 0x00, 0x0E, 0x07, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x07, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x06, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x07, 0x01, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x03, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x03, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x03, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame9 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1C, 0x00, 0x01, 0x9C, 0x00, 0x00, 0x18, 0x00, 0x01, 0xBC, 0x00, 0x00, 0x0C, 0x00, 0x03, 0x9E, 0x00, 0x00, 0x18, 0x00, 0x03, 0x3C, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x1C, 0x0C, 0x00, 0x3C, 0x00, 0x00, 0x0C, 0x1C, 0x00, 0x3C, 0x00, 0x00, 0x0C, 0x3C, 0x00, 0x3C, 0x00, 0x00, 0x0C, 0x3C, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x1C, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x1C, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x0C, 0x00, 0x60, 0x00, 0x00, 0x06, 0x0C, 0x00, 0xF0, 0x00, 0x00, 0x06, 0x0C, 0x01, 0xE0, 0x00, 0x00, 0x06, 0x0C, 0x01, 0xE0, 0x00, 0x00, 0x07, 0x0C, 0x03, 0xE0, 0x00, 0x00, 0x03, 0x00, 0x03, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x07, 0xC0, 0x00, 0x00, 0x01, 0x80, 0x07, 0x80, 0x00, 0x00, 0x01, 0x80, 0x03, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame10 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x00, 0x01, 0xCE, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x1C, 0x00, 0x07, 0x78, 0x00, 0x00, 0x18, 0x00, 0x06, 0x38, 0x00, 0x00, 0x0C, 0x00, 0x06, 0x38, 0x00, 0x00, 0x18, 0x00, 0x06, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x38, 0x00, 0x00, 0x1C, 0x20, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x60, 0x00, 0x78, 0x00, 0x00, 0x0C, 0x60, 0x00, 0x70, 0x00, 0x00, 0x0C, 0xE0, 0x00, 0x70, 0x00, 0x00, 0x0C, 0x60, 0x00, 0xF0, 0x00, 0x00, 0x0C, 0x60, 0x00, 0xF0, 0x00, 0x00, 0x0C, 0x20, 0x01, 0xF0, 0x00, 0x00, 0x0E, 0x20, 0x01, 0xF0, 0x00, 0x00, 0x06, 0x20, 0x01, 0xE0, 0x00, 0x00, 0x06, 0x60, 0x03, 0xE0, 0x00, 0x00, 0x06, 0x20, 0x03, 0xE0, 0x00, 0x00, 0x07, 0x20, 0x07, 0x60, 0x00, 0x00, 0x03, 0x00, 0x0E, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x0C, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x0D, 0xC0, 0x00, 0x00, 0x01, 0x80, 0x0F, 0x80, 0x00, 0x00, 0x01, 0x80, 0x07, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame11 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x00, 0x07, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x1C, 0x00, 0x0D, 0xB8, 0x00, 0x00, 0x18, 0x00, 0x0D, 0xB0, 0x00, 0x00, 0x0C, 0x00, 0x0D, 0xD8, 0x00, 0x00, 0x18, 0x00, 0x0D, 0xB8, 0x00, 0x00, 0x0C, 0x00, 0x01, 0xD0, 0x00, 0x00, 0x1E, 0x00, 0x01, 0xB8, 0x00, 0x00, 0x0D, 0x00, 0x01, 0xB0, 0x00, 0x00, 0x0F, 0x00, 0x01, 0xB0, 0x00, 0x00, 0x0F, 0x00, 0x01, 0xB0, 0x00, 0x00, 0x0F, 0x00, 0x03, 0xB0, 0x00, 0x00, 0x0E, 0x00, 0x03, 0x70, 0x00, 0x00, 0x0F, 0x00, 0x03, 0x30, 0x00, 0x00, 0x06, 0x00, 0x07, 0x70, 0x00, 0x00, 0x0F, 0x00, 0x06, 0x60, 0x00, 0x00, 0x07, 0x00, 0x0E, 0x60, 0x00, 0x00, 0x07, 0x00, 0x0C, 0x60, 0x00, 0x00, 0x07, 0x00, 0x0C, 0xE0, 0x00, 0x00, 0x03, 0x00, 0x18, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x18, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x19, 0xC0, 0x00, 0x00, 0x01, 0x80, 0x19, 0x80, 0x00, 0x00, 0x01, 0x80, 0x1D, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame12 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x00, 0x18, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x08, 0x00, 0x3E, 0x18, 0x00, 0x00, 0x1C, 0x00, 0x3E, 0x30, 0x00, 0x00, 0x18, 0x00, 0x36, 0x18, 0x00, 0x00, 0x0C, 0x00, 0x3E, 0x38, 0x00, 0x00, 0x18, 0x00, 0x06, 0x10, 0x00, 0x00, 0x0C, 0x00, 0x0E, 0x38, 0x00, 0x00, 0x1C, 0x00, 0x06, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x0E, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x1C, 0x30, 0x00, 0x00, 0x06, 0x00, 0x1C, 0x70, 0x00, 0x00, 0x0E, 0x00, 0x18, 0x60, 0x00, 0x00, 0x06, 0x00, 0x18, 0x60, 0x00, 0x00, 0x06, 0x00, 0x38, 0x60, 0x00, 0x00, 0x07, 0x00, 0x30, 0xE0, 0x00, 0x00, 0x03, 0x00, 0x30, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x30, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x71, 0xC0, 0x00, 0x00, 0x01, 0x80, 0x31, 0x80, 0x00, 0x00, 0x01, 0x80, 0x31, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame13 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x00, 0x60, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x1C, 0x00, 0xF0, 0x18, 0x00, 0x00, 0x18, 0x00, 0x70, 0x30, 0x00, 0x00, 0x0C, 0x00, 0xF0, 0x18, 0x00, 0x00, 0x18, 0x00, 0x70, 0x38, 0x00, 0x00, 0x0C, 0x00, 0x30, 0x10, 0x00, 0x00, 0x1C, 0x00, 0x30, 0x38, 0x00, 0x00, 0x0C, 0x00, 0x30, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x30, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x30, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x60, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x70, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x60, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x60, 0x70, 0x00, 0x00, 0x06, 0x00, 0x60, 0x60, 0x00, 0x00, 0x06, 0x00, 0x60, 0x60, 0x00, 0x00, 0x06, 0x00, 0x60, 0x60, 0x00, 0x00, 0x07, 0x00, 0x60, 0xE0, 0x00, 0x00, 0x03, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x03, 0x00, 0xE0, 0xC0, 0x00, 0x00, 0x03, 0x80, 0xC1, 0xC0, 0x00, 0x00, 0x01, 0x80, 0xE1, 0x80, 0x00, 0x00, 0x01, 0x80, 0x41, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame14 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x01, 0x80, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x1C, 0x01, 0x80, 0x18, 0x00, 0x00, 0x18, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x18, 0x00, 0x00, 0x18, 0x01, 0x80, 0x38, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x10, 0x00, 0x00, 0x1C, 0x01, 0x80, 0x38, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0C, 0x01, 0x80, 0x30, 0x00, 0x00, 0x0E, 0x01, 0x80, 0x70, 0x00, 0x00, 0x06, 0x01, 0x80, 0x60, 0x00, 0x00, 0x06, 0x01, 0x80, 0x60, 0x00, 0x00, 0x06, 0x01, 0x80, 0x60, 0x00, 0x00, 0x07, 0x01, 0x80, 0xE0, 0x00, 0x00, 0x03, 0x01, 0x80, 0xC0, 0x00, 0x00, 0x03, 0x01, 0x80, 0xC0, 0x00, 0x00, 0x03, 0x81, 0x81, 0xC0, 0x00, 0x00, 0x01, 0x81, 0x81, 0x80, 0x00, 0x00, 0x01, 0x81, 0x81, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame15 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x06, 0x00, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x1C, 0x0F, 0x00, 0x18, 0x00, 0x00, 0x18, 0x0E, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x0F, 0x00, 0x18, 0x00, 0x00, 0x18, 0x0E, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x10, 0x00, 0x00, 0x1C, 0x0C, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x0E, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x0E, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x06, 0x00, 0x30, 0x00, 0x00, 0x06, 0x06, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x06, 0x00, 0x60, 0x00, 0x00, 0x06, 0x06, 0x00, 0x60, 0x00, 0x00, 0x06, 0x06, 0x00, 0x60, 0x00, 0x00, 0x07, 0x06, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x07, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x03, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x87, 0x01, 0xC0, 0x00, 0x00, 0x01, 0x83, 0x01, 0x80, 0x00, 0x00, 0x01, 0x86, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame16 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x18, 0x00, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x08, 0x7C, 0x00, 0x18, 0x00, 0x00, 0x1C, 0x7C, 0x00, 0x30, 0x00, 0x00, 0x18, 0x7C, 0x00, 0x18, 0x00, 0x00, 0x0C, 0x6C, 0x00, 0x38, 0x00, 0x00, 0x18, 0x70, 0x00, 0x10, 0x00, 0x00, 0x0C, 0x60, 0x00, 0x38, 0x00, 0x00, 0x1C, 0x30, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x70, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x38, 0x00, 0x30, 0x00, 0x00, 0x06, 0x18, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x18, 0x00, 0x60, 0x00, 0x00, 0x06, 0x18, 0x00, 0x60, 0x00, 0x00, 0x06, 0x1C, 0x00, 0x60, 0x00, 0x00, 0x07, 0x0C, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x0C, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x0E, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x8C, 0x01, 0xC0, 0x00, 0x00, 0x01, 0x8C, 0x01, 0x80, 0x00, 0x00, 0x01, 0x8C, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame17 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0xE0, 0x00, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x1D, 0xB0, 0x00, 0x18, 0x00, 0x00, 0x1B, 0xB0, 0x00, 0x30, 0x00, 0x00, 0x0D, 0xB0, 0x00, 0x18, 0x00, 0x00, 0x1B, 0x30, 0x00, 0x38, 0x00, 0x00, 0x0B, 0x80, 0x00, 0x10, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x38, 0x00, 0x00, 0x0D, 0x80, 0x00, 0x30, 0x00, 0x00, 0x0D, 0x80, 0x00, 0x30, 0x00, 0x00, 0x0D, 0x80, 0x00, 0x70, 0x00, 0x00, 0x0D, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x0C, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x0C, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x06, 0xE0, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x60, 0x00, 0x60, 0x00, 0x00, 0x06, 0x70, 0x00, 0x60, 0x00, 0x00, 0x06, 0x30, 0x00, 0x60, 0x00, 0x00, 0x07, 0x30, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x18, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x18, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x98, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xB8, 0x01, 0x80, 0x00, 0x00, 0x01, 0xB8, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame18 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x73, 0x80, 0x00, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x0E, 0xE0, 0x00, 0x38, 0x00, 0x00, 0x1C, 0x60, 0x00, 0x18, 0x00, 0x00, 0x1C, 0x60, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x60, 0x00, 0x10, 0x00, 0x00, 0x1C, 0x00, 0x00, 0x38, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x78, 0x00, 0x00, 0x0E, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x0E, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0x80, 0x00, 0x70, 0x00, 0x00, 0x07, 0x80, 0x00, 0x70, 0x00, 0x00, 0x0F, 0x80, 0x00, 0x60, 0x00, 0x00, 0x07, 0xC0, 0x00, 0x60, 0x00, 0x00, 0x06, 0xC0, 0x00, 0x60, 0x00, 0x00, 0x07, 0x60, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x70, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x30, 0x00, 0xC0, 0x00, 0x00, 0x03, 0xB0, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xF0, 0x01, 0x80, 0x00, 0x00, 0x01, 0xE0, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame19 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3D, 0xC0, 0x00, 0x38, 0x00, 0x00, 0x79, 0x80, 0x00, 0x18, 0x00, 0x00, 0x3D, 0xC0, 0x00, 0x38, 0x00, 0x00, 0x78, 0x80, 0x00, 0x18, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x30, 0x00, 0x00, 0x3C, 0x00, 0x01, 0xB8, 0x00, 0x00, 0x3C, 0x00, 0x01, 0xB0, 0x00, 0x00, 0x3C, 0x00, 0x07, 0xB8, 0x00, 0x00, 0x1C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x1C, 0x00, 0x03, 0xB0, 0x00, 0x00, 0x1C, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x0E, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x06, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x07, 0xC0, 0x01, 0xE0, 0x00, 0x00, 0x03, 0xC0, 0x00, 0xE0, 0x00, 0x00, 0x03, 0xE0, 0x00, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xE0, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xC0, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame20 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0xDF, 0x00, 0x00, 0x1E, 0x00, 0x00, 0xDF, 0x00, 0x00, 0x3C, 0x00, 0x01, 0xCD, 0x80, 0x00, 0x1E, 0x00, 0x00, 0x9B, 0x00, 0x00, 0x3E, 0x00, 0x01, 0xCC, 0x00, 0x00, 0x1C, 0x00, 0x00, 0xDC, 0x00, 0x06, 0x3E, 0x00, 0x00, 0xCC, 0x00, 0x07, 0x3C, 0x00, 0x00, 0xEC, 0x00, 0x1F, 0x3C, 0x00, 0x00, 0x7C, 0x00, 0x1F, 0x3C, 0x00, 0x00, 0x7C, 0x00, 0x0F, 0x3C, 0x00, 0x00, 0x3E, 0x00, 0x07, 0x38, 0x00, 0x00, 0x3C, 0x00, 0x07, 0x38, 0x00, 0x00, 0x1E, 0x00, 0x07, 0x78, 0x00, 0x00, 0x0E, 0x00, 0x07, 0x70, 0x00, 0x00, 0x0E, 0x00, 0x07, 0x70, 0x00, 0x00, 0x07, 0x00, 0x07, 0x70, 0x00, 0x00, 0x07, 0x80, 0x07, 0x60, 0x00, 0x00, 0x03, 0x80, 0x00, 0xE0, 0x00, 0x00, 0x03, 0xC0, 0x00, 0xC0, 0x00, 0x00, 0x03, 0xC0, 0x01, 0xC0, 0x00, 0x00, 0x03, 0xC0, 0x01, 0xC0, 0x00, 0x00, 0x01, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame21 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x78, 0x00, 0x00, 0x0E, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xDF, 0xFF, 0xFF, 0xFF, 0x00, 0x03, 0x1E, 0x00, 0x00, 0x1B, 0x00, 0x03, 0x1E, 0x00, 0x00, 0x39, 0x80, 0x07, 0x0F, 0x00, 0x00, 0x1B, 0x00, 0x03, 0x1E, 0x00, 0x00, 0x39, 0x80, 0x03, 0x0C, 0x00, 0x00, 0x13, 0x80, 0x03, 0x1C, 0x00, 0x0C, 0x3B, 0x00, 0x03, 0x8C, 0x00, 0x1C, 0x33, 0x00, 0x01, 0x8C, 0x00, 0x7C, 0x33, 0x00, 0x01, 0xCC, 0x00, 0x7C, 0x37, 0x00, 0x00, 0xCC, 0x00, 0x5C, 0x36, 0x00, 0x00, 0xEC, 0x00, 0x1C, 0x3E, 0x00, 0x00, 0x7C, 0x00, 0x1C, 0x3C, 0x00, 0x00, 0x3E, 0x00, 0x1C, 0x7C, 0x00, 0x00, 0x3E, 0x00, 0x1C, 0x7C, 0x00, 0x00, 0x1E, 0x00, 0x1C, 0x78, 0x00, 0x00, 0x0E, 0x00, 0x1C, 0x70, 0x00, 0x00, 0x07, 0x00, 0x1C, 0xF0, 0x00, 0x00, 0x03, 0x80, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x80, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x03, 0x80, 0x01, 0xC0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame22 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x0F, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x07, 0x3F, 0xFF, 0xFF, 0xFF, 0xC0, 0x06, 0x1C, 0x00, 0x00, 0x18, 0xC0, 0x0E, 0x1C, 0x00, 0x00, 0x38, 0xC0, 0x0C, 0x0E, 0x00, 0x00, 0x18, 0x60, 0x0C, 0x1C, 0x00, 0x00, 0x38, 0xC0, 0x0C, 0x0C, 0x00, 0x00, 0x10, 0xE0, 0x0E, 0x1C, 0x00, 0x30, 0x38, 0xC0, 0x06, 0x0C, 0x00, 0x78, 0x30, 0xC0, 0x07, 0x0C, 0x01, 0xF8, 0x31, 0xC0, 0x03, 0x0C, 0x01, 0xF8, 0x31, 0x80, 0x03, 0x8C, 0x00, 0xF8, 0x33, 0x80, 0x01, 0xCC, 0x00, 0x38, 0x33, 0x00, 0x00, 0xEC, 0x00, 0x78, 0x37, 0x00, 0x00, 0xEE, 0x00, 0x38, 0x6E, 0x00, 0x00, 0x7E, 0x00, 0x78, 0x7E, 0x00, 0x00, 0x3E, 0x00, 0x38, 0x7C, 0x00, 0x00, 0x1E, 0x00, 0x78, 0x78, 0x00, 0x00, 0x0F, 0x00, 0x38, 0xF8, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x06, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame23 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x0E, 0x3F, 0xFF, 0xFF, 0xFE, 0xE0, 0x1C, 0x1C, 0x00, 0x00, 0x18, 0x70, 0x18, 0x1C, 0x00, 0x00, 0x38, 0x30, 0x18, 0x0C, 0x00, 0x00, 0x18, 0x30, 0x18, 0x1C, 0x00, 0x00, 0x38, 0x30, 0x18, 0x0C, 0x00, 0x00, 0x10, 0x30, 0x18, 0x1C, 0x00, 0x60, 0x38, 0x30, 0x0C, 0x0C, 0x00, 0xE0, 0x30, 0x70, 0x0E, 0x0C, 0x03, 0xE0, 0x30, 0x60, 0x06, 0x0C, 0x07, 0xE0, 0x30, 0xE0, 0x07, 0x0C, 0x02, 0xE0, 0x30, 0xC0, 0x03, 0x8C, 0x00, 0xE0, 0x31, 0xC0, 0x01, 0xCC, 0x00, 0xE0, 0x33, 0x80, 0x00, 0xCE, 0x00, 0xE0, 0x67, 0x00, 0x00, 0xF6, 0x00, 0xE0, 0x76, 0x00, 0x00, 0x7E, 0x00, 0xE0, 0x7E, 0x00, 0x00, 0x3E, 0x00, 0xE0, 0x7C, 0x00, 0x00, 0x1F, 0x00, 0xE0, 0xF8, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x03, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame24 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0E, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x0F, 0xC0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1E, 0x7F, 0xFF, 0xFF, 0xFE, 0x78, 0x18, 0x1C, 0x00, 0x00, 0x1C, 0x18, 0x38, 0x18, 0x00, 0x00, 0x38, 0x18, 0x30, 0x0C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x1C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x18, 0x18, 0x1C, 0x00, 0xC0, 0x38, 0x18, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x07, 0xC0, 0x30, 0x70, 0x06, 0x0C, 0x05, 0xC0, 0x30, 0xE0, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xC6, 0x01, 0xC0, 0x63, 0x80, 0x00, 0xEE, 0x01, 0xC0, 0x77, 0x00, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x3E, 0x01, 0xC0, 0x7C, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x0F, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame25 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame26 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const unsigned char PROGMEM frame27 [] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F, 0xFF, 0xFF, 0xFE, 0x38, 0x38, 0x3C, 0x00, 0x00, 0x1C, 0x1C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x1C, 0x00, 0x00, 0x18, 0x0C, 0x30, 0x18, 0x00, 0x00, 0x38, 0x0C, 0x30, 0x0C, 0x00, 0x00, 0x10, 0x0C, 0x30, 0x1C, 0x01, 0xC0, 0x38, 0x0C, 0x18, 0x0C, 0x01, 0xC0, 0x30, 0x18, 0x1C, 0x0C, 0x07, 0xC0, 0x30, 0x38, 0x0C, 0x0C, 0x0F, 0xC0, 0x30, 0x30, 0x0E, 0x0C, 0x03, 0xC0, 0x30, 0x70, 0x07, 0x0C, 0x01, 0xC0, 0x30, 0xE0, 0x03, 0x8C, 0x01, 0xC0, 0x31, 0xC0, 0x01, 0xCE, 0x01, 0xC0, 0x73, 0x80, 0x01, 0xE6, 0x01, 0xC0, 0x67, 0x80, 0x00, 0x76, 0x01, 0xC0, 0x6E, 0x00, 0x00, 0x7E, 0x01, 0xC0, 0x7E, 0x00, 0x00, 0x1F, 0x01, 0xC0, 0xF8, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x80, 0x01, 0xE0, 0x00, 0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, 0x00, 0x0D, 0x80, 0x01, 0xB0, 0x00, 0x00, 0x01, 0xC0, 0x03, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x78, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x70, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


void IRAM_ATTR Ext_INT1_ISR()
{
  ESP.restart();
}

void OnDataSent(const uint8_t *mac_addr, esp_now_send_status_t status) {
  Serial.print("\r\nLast Packet Send Status:\t");
  Serial.println(status == ESP_NOW_SEND_SUCCESS ? "Delivery Success" : "Delivery Fail");
}

int countalive() {
  int count = 0;
  for(int i = 0; i < 3; i++){
    if(p[i].isalive){
      count++;
    }
  }
  return count;
}

void sentturn() {
  SendingData startdata;
  startdata.type = 2;
  startdata.isalive = p[turn].isalive;
  startdata.ophand = 'X';
  startdata.name=p[turn].name;
  p[turn].isprotect = false;
  for(int i = 0; i < 3; i++){
    if(p[i].isalive && !p[i].isprotect){
      startdata.isvalidtarget[i]=true;
    }
    else{
      startdata.isvalidtarget[i]=false;
    }
  }
  startdata.hand[0]=p[turn].hand;
  startdata.hand[1]=draw;
  Serial.println(startdata.hand[0], startdata.hand[1]);
  display.clearDisplay(); // clear display
  display.setTextSize(1);         // set text size
  display.setTextColor(WHITE);    // set text color
  display.setCursor(0, 10);
  display.println((String)p[turn].name + " turn");
  display.display();
  //sent p[turn] startdata
  esp_err_t result = esp_now_send(playeraddress[turn+1], (uint8_t *) &startdata, sizeof(startdata));

  if (result == ESP_OK) {
    Serial.println("Sent with success");
  }
  else {
    Serial.println("Error sending the data");
  }
}

void die(int playerint){
  p[playerint].isalive = false;
  Serial.print(p[playerint].name);
  Serial.println(" Die");
  display.clearDisplay(); // clear display
  display.setTextSize(1);         // set text size
  display.setTextColor(WHITE);    // set text color
  display.setCursor(0, 10);
  display.print(p[playerint].name);
  display.println(" Die");
  display.display();
  delay(5000);
}

void survive(int playerint){
  char c[5];
  if(playerint == -1){
    strcpy(c, "both");
  }
  else {
    c[0] = p[playerint].name;
    c[1] = '\0';
  }
  Serial.print(c);
  Serial.println(" Survive");
  display.clearDisplay(); // clear display
  display.setTextSize(1);         // set text size
  display.setTextColor(WHITE);    // set text color
  display.setCursor(0, 10);
  display.print(c);
  display.println(" Survive");
  display.display();
  delay(5000);
}

void ucard() {
  display.clearDisplay();
  display.setCursor(0, 10);
  display.print(recvdata.name);
  display.print(" use ");
  display.println(recvdata.carduse);
  display.print("on ");
  display.println(recvdata.target);
  Serial.print(recvdata.name);
  Serial.print(" use ");
  Serial.println(recvdata.carduse);
  Serial.print("on ");
  Serial.println(recvdata.target);
  if(recvdata.carduse=='1'){
    display.println("with " + (String)recvdata.number);
    Serial.print("with ");
    Serial.println(recvdata.number);
  }
  display.display();
  delay(5000);
  int targetint;
  for(int i; i<3; i++){
    if(p[i].name == recvdata.target){
      targetint = i;
      break;
    }
  }
  if(recvdata.carduse==p[turn].hand){
    p[turn].hand = draw;
  }
  switch(recvdata.carduse) {
    case '1': {
      if(p[targetint].hand == recvdata.number){
        die(targetint);
      }
      else {
        survive(targetint);
      }
      break;
    }
    case '2': {
      ophand = p[targetint].hand;
      break;
    }
    case '3': {
      if(p[turn].hand>p[targetint].hand){
        die(targetint);
      }
      else if(p[turn].hand<p[targetint].hand){
        die(turn);
      }
      else{
        survive(-1);
      }
      break;
    }
    case '4': {
      p[turn].isprotect = true;
      break;
    }
    case '5': {
      if(p[targetint].hand=='8'){
        die(targetint);
        break;
      }
      p[targetint].hand = deck[card++];
      //sent p[targetint] new hand
      break;
    }
    case '6': {
      char buf = p[targetint].hand;
      p[targetint].hand = p[turn].hand;
      p[turn].hand = buf;
      break;
    }
    case '8': {
      die(turn);
      break;
    }
  }
  get = false;
}

void sentturnend() {
  for(int i = 0; i < 3; i++){
    SendingData enddata;
    enddata.type = 3;
    enddata.hand[0] = p[i].hand;
    enddata.name = p[i].name;
    enddata.hand[1] = 'X';
    enddata.isalive = p[i].isalive;
    enddata.ophand = 'X';
    enddata.isvalidtarget[0] = false;
    enddata.isvalidtarget[1] = false;
    enddata.isvalidtarget[2] = false;
    if(i==turn){
      enddata.ophand = ophand;
      ophand = 'X';
    }
    Serial.print("Send to ");
    Serial.print(enddata.name);
    Serial.print(" With ");
    Serial.print(enddata.hand[0]);
    Serial.print(" And ");
    Serial.print(enddata.isalive);
    Serial.print(" Also ");
    Serial.println(enddata.ophand);

    esp_err_t result = esp_now_send(playeraddress[i+1], (uint8_t *) &enddata, sizeof(enddata));

    if (result == ESP_OK) {
      Serial.println("Sent with success");
    }
    else {
      Serial.println("Error sending the data");
    }
  }
  check=true;
}

void notover() {
  int count = 1;
  while(!p[turn].isalive){
    turn = (turn+1)%3;
    count++;
    if(count>=3){
      over = true;
    }
  };
  get = false;
  draw=deck[card++];
  sentturn();
  while(!get){
    delay(100);
  };
  Serial.println("MAA");
  ucard();
  while(get){
    delay(100);
  };
  sentturnend();
  turn = (turn+1)%3;
}

void aldover() {
  if(countalive()==1){
    for(int i = 0; i < 3; i++){
      if(p[i].isalive){
        win = i;
      }
    }
    end = true;
    return;
  }
  for(int i = 0; i < 3; i++){
    if(p[i].isalive){
      if(p[i].hand>maxwin){
        maxwin = p[i].hand;
        win = i;
      }
      else if(p[i].hand==maxwin){
        win = -1;
      }
    }
  }
  end = true;
}

void ended() {
  display.clearDisplay();
  display.setCursor(0, 10);
  if(win==-1){
    Serial.println("Draw");
    display.println("Draw");
    display.display();
  }
  else{
    Serial.print(p[win].name);
    Serial.println(" Win");
    
    display.print(p[win].name);
    display.println(" Win");
  while(1){
    display.clearDisplay();
display.drawBitmap(xx, yy,frame0,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame1,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame2,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame3,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame4,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame5,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame6,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame7,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame8,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame9,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame10,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame11,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame12,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame13,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame14,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame15,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame16,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame17,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame18,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame19,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame20,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame21,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame22,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame23,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame24,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame25,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame26,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame27,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame8,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame9,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame10,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame11,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame12,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame13,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame14,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame15,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame16,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame17,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame18,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame19,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame20,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame21,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame22,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame23,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame24,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame25,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame26,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);

display.clearDisplay();
display.drawBitmap(xx, yy,frame27,48,48, 1);
display.setCursor(42, 50);       // set position to display
display.println((String)p[win].name + " Win"); // set text
display.display();
delay(tt);
  };
}}

void OnDataRecv(const uint8_t * mac, const uint8_t *incomingData, int len) {
  memcpy(&recvdata, incomingData, sizeof(incomingData));
  Serial.println(recvdata.name);
  Serial.println(recvdata.carduse);
  Serial.println(recvdata.target);
  Serial.println(recvdata.number);
  get=true;
  // if(recvdata.name == p[turn].name){
  //   // ucard();
  // }
}

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  pinMode(PINBUTTON, INPUT); 
  attachInterrupt(PINBUTTON, Ext_INT1_ISR, RISING);
  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
    Serial.println(F("failed to start SSD1306 display"));
    while (1);
  }
  delay(2000);         // wait two seconds for initializing
  display.clearDisplay(); // clear display
  display.setTextSize(1);         // set text size
  display.setTextColor(WHITE);    // set text color
  display.setCursor(0, 10);
  display.println("Starting");
  display.display();
  delay(1000);
  WiFi.mode(WIFI_STA);
    // สั่งให้เริ่ม ESP-NOW
  if (esp_now_init() != ESP_OK) {
    Serial.println("Error initializing ESP-NOW");
    return;
  }
  // เมื่อรับข้อมูลมา ให้ทำในฟังก์ชั่น OnDataRecv ที่เราสร้างไว้
  esp_now_register_recv_cb(OnDataRecv);

  //เมื่อส่งให้ทำฟังก์ชั่น OnDataSend ที่เราสร้างขึ้น
  esp_now_register_send_cb(OnDataSent);

  esp_now_peer_info_t peerInfo = {};
  peerInfo.channel = 0;
  peerInfo.encrypt = false;

  for(int i = 0; i < 4; i++){
    memcpy(peerInfo.peer_addr, playeraddress[i], 6);
    // เชื่อมต่ออุปกรณ์ที่ต้องการสื่อสาร
    if (esp_now_add_peer(&peerInfo) != ESP_OK) {
      Serial.println("Failed to add peer");
    }
  }
  unsigned seed = std::chrono::system_clock::now().time_since_epoch().count();
  std::shuffle (&deck[0], &deck[16], std::default_random_engine(seed));
  for(int i = 0; i < 16; i++){
    Serial.println(deck[i]);
  }
  for(int i = 0; i < 3; i++){
    SendingData GameStartData;
    p[i].name = pname[i];
    p[i].hand = deck[card++];
    GameStartData.hand[0] = p[i].hand;
    GameStartData.hand[1] = 'X';
    GameStartData.name = p[i].name;
    GameStartData.ophand = 'X';
    GameStartData.isalive = true;
    GameStartData.isvalidtarget[0] = false;
    GameStartData.isvalidtarget[1] = false;
    GameStartData.isvalidtarget[2] = false;
    GameStartData.type = 1;
    esp_err_t result = esp_now_send(playeraddress[i+1], (uint8_t *) &GameStartData, sizeof(GameStartData));
  }
}

void loop() {
  // put your main code here, to run repeatedly:
  if(countalive()<1){
    win=-1;
    end=true;
    over=true;
  }
  else if(countalive()==1){
    over=true;
  }
  else if(card>=16){
    over=true;
  }
  if(end){
    ended();
  }
  else if(over){
    aldover();
  }
  else if(check){
    check=false;
    notover();
  }
}
